# Class ContractNotFoundError

This error indicates that the contract you are attempting to decode could not be found in the project info. This error will be thrown if you attempt to spawn a contract decoder or contract instance decoder for a contract not appearing in the project info.

#### Hierarchy

- Error
  - ContractNotFoundError

- Defined in decoder/lib/errors.ts:28

#####
Index

### Constructors

constructor

### Properties

address
bytecode
contractName
deployedBytecode

## Constructors

### constructor

- new ContractNotFoundError(contractName, bytecode, deployedBytecode, address): ContractNotFoundError

- #### Parameters

  - ##### contractName: string

  - ##### bytecode: string

  - ##### deployedBytecode: string

  - ##### address: string

  #### Returns ContractNotFoundError

  Overrides Error.constructor

  - Defined in decoder/lib/errors.ts:33

## Properties

### address

address: string

- Defined in decoder/lib/errors.ts:32

### bytecode

bytecode: string

- Defined in decoder/lib/errors.ts:30

### contractName

contractName: string

- Defined in decoder/lib/errors.ts:29

### deployedBytecode

deployedBytecode: string

- Defined in decoder/lib/errors.ts:31

Generated using TypeDoc